## org.apache.mahout.ga.watchmaker
Class OutputUtils

    java.lang.Object
      org.apache.mahout.ga.watchmaker.OutputUtils

    public final class OutputUtils

extends java.lang.Object

Utility Class that deals with the output.

Method Summary
`static void` `importEvaluations(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path outpath, java.util.List<java.lang.Double> evaluations)` Reads back the evaluations.
`static org.apache.hadoop.fs.Path[]` `listOutputFiles(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path outpath)` Lists all files in the output `Path`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### listOutputFiles

    public static org.apache.hadoop.fs.Path[] listOutputFiles(org.apache.hadoop.fs.FileSystem fs,
                                                              org.apache.hadoop.fs.Path outpath)
                                                       throws java.io.IOException

  Lists all files in the output `Path`

  Parameters:
    `fs` - `FileSystem` to use
    `outpath` - output `Path`
  Returns:
    `Path` array
  Throws:
    `java.io.IOException`

### importEvaluations

    public static void importEvaluations(org.apache.hadoop.fs.FileSystem fs,
                                         org.apache.hadoop.conf.Configuration conf,
                                         org.apache.hadoop.fs.Path outpath,
                                         java.util.List<java.lang.Double> evaluations)
                                  throws java.io.IOException

  Reads back the evaluations.

  Parameters:
    `outpath` - output `Path`
    `evaluations` - List of evaluations
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.